Loading...
Searching...
No Matches
gridfire::rates::weak::WeakRateDerivatives Struct Reference

Partial derivatives of the log10() fields w.r.t. (T9, log10(rho*Ye)). More...

`#include <weak_types.h>`

Collaboration diagram for gridfire::rates::weak::WeakRateDerivatives:
[legend]

## Public Attributes

std::array< double, 2 > | d_log_beta_plus
std::array< double, 2 > | d_log_electron_capture
std::array< double, 2 > | d_log_neutrino_loss_ec
std::array< double, 2 > | d_log_beta_minus
std::array< double, 2 > | d_log_positron_capture
std::array< double, 2 > | d_log_antineutrino_loss_bd

## Detailed Description

Partial derivatives of the log10() fields w.r.t. (T9, log10(rho*Ye)).

Array ordering is [d/dT9, d/dlogRhoYe] for each corresponding field.

## Member Data Documentation

## d_log_antineutrino_loss_bd

std::array<double, 2> gridfire::rates::weak::WeakRateDerivatives::d_log_antineutrino_loss_bd

## d_log_beta_minus

std::array<double, 2> gridfire::rates::weak::WeakRateDerivatives::d_log_beta_minus

## d_log_beta_plus

std::array<double, 2> gridfire::rates::weak::WeakRateDerivatives::d_log_beta_plus

## d_log_electron_capture

std::array<double, 2> gridfire::rates::weak::WeakRateDerivatives::d_log_electron_capture

## d_log_neutrino_loss_ec

std::array<double, 2> gridfire::rates::weak::WeakRateDerivatives::d_log_neutrino_loss_ec

## d_log_positron_capture

std::array<double, 2> gridfire::rates::weak::WeakRateDerivatives::d_log_positron_capture

The documentation for this struct was generated from the following file:

- src/include/gridfire/reaction/weak/weak_types.h